DSPNT2S(3NCARG)

NAME
DSPNT2S - Interpolate at a single point (or points) in 2D in single precision

SYNOPSIS
CALL DSPNT2S (N, X, Y, Z, M, XO, YO, ZO, IER)

DESCRIPTION

N   (Integer, Input) - The number of input data points.

X   (Real, Input) - An array containing the X coordinates of the input data points.

Y   (Real, Input) - An array containing the Y coordinates of the input data points.

Z   (Real, Input) - An array containing the functional values of the input data points. That is, Z(L) is the value of the input function at coordinate (X(L),Y(L)), for L=1,N.

M   (Integer, Input) - The number of output data points (this may be "1").

XO  (Real, Input) - An array of dimension M containing the X coordinates of the output data. The values in XO may be in any order.

YO  (Real, Input) - An array of dimension M containing the Y coordinates of the output data. The values in YO may be in any order.

ZO  (Real, Output) - An array of dimension M containing the interpolated values. ZO(I) is the interpolated value at point (XO(I),YO(I)) for I=1,M.

IER (Integer, Output) - An error return value. If IER is returned as 0, then no errors were detected. If IER is non-zero, then refer to the man page for dsgrid_errors for details.

USAGE
This subroutine is called when you want to interpolate at an individual point or points.

ACCESS
To use DSPNT2S, load the NCAR Graphics library ngmath.

SEE ALSO
dsgrid, dsgrid_params.

Complete documentation for Dsgrid is available at URL
http://ngwww.ucar.edu/ngdoc/ng/ngmath/dsgrid/dshome.html

COPYRIGHT
Copyright (C) 2000
University Corporation for Atmospheric Research

The use of this Software is governed by a License Agreement.